MainProgram:
   AbortMethod am_Flag
   n = usbm_finddevices()
   print usbm_numberofdevices()," devices found"
   print usbm_devicespecs(0)
   n = usbm_InitPorts(0)
   GoSub SPI_Test
   //Testing the SPI commands using an ADC 12 bits 2 channel
   //the LTC1298 must be connected as follows:
   //   LTC1298 Pin      Function      U4x1 Port Pin (0-7)
   //   ===========      ========      ===================
   //     1               /CS            A4
   //     2               Analog 0          
   //     3               Analog 1
   //     4               Gnd
   //     5               Data In        A5
   //     6               Data Out       A6
   //     7               Clck           A7
   //     8               +5V
end
//================================================
SPI_Test:
    n=usbm_DirectionA(0,0xFF,0xFF)
    n=usbm_DirectionB(0,0xFF,0xFF)
    n = usbm_InitSPI(0,0x1B)
    n = usbm_SetBit(0,4)
    setcolor white,black
    xyText 100,70," LTC1298 ","",15,fs_Bold
    xyText 50,100,"Channel[0]:","",15,fs_Bold
    xyText 50,120,"Channel[1]:","",15,fs_Bold
    setcolor black,white
    while true    
      if AbortFlag() then GoSub FinishUp
      //-----read channel 0
      n = usbm_ResetBit(0,4)
      m = usbm_SpiMaster(0,char(1)+char(0x80)+char(0))
      n = usbm_SetBit(0,4)
      v = (arraystr(m,2)&0x0F)*256+arraystr(m,3)
      vv = 5.09*v/0xFFF 
      xystring 185,102,hex(v,2)," = "+Format(vv,"0.000 Volts")
      //-----read channel 1
      n = usbm_ResetBit(0,4)  
      m = usbm_SpiMaster(0,char(1)+char(0xC0)+char(0))
      n = usbm_SetBit(0,4)
      v = (arraystr(m,2)&0x0F)*256+arraystr(m,3)
      vv = 5.09*v/0xFFF 
      xystring 185,123,hex(v,2)," = "+Format(vv,"0.000 Volts")
    wend
Return
//================================================
FinishUp:
  n = usbm_InitSPI(0,0)
Exit
//================================================
