
//---------------------------------------------------------------------------
//
// CircuitGizmos RobotBASIC example code
//
// Author:           Robert Severson
//
// File:             cgrbdemo2.bas
//
// Creation Date:    2009-02-08
//
// Copyright:        Copyright (C), Robert R. Severson 2009. All rights
//                   reserved. Created in the year 2009 as an unpublished
//                   copyright work. This program and the information
//                   contained in it is property of Robert R. Severson
//                   and may not be used, copied, or reproduced without
//                   prior written permission of Robert R. Severson
//
//                   This software remains the property of Robert R.
//                   Severson and is supplied under licence only. The use
//                   of this software is permitted under the terms of that
//                   licence only.
//
//                   RobotBASIC may be used in accordance with the terms of
//                   the License Agreement. Please read the terms carefully
//                   and make sure that you accept them ALL before you use
//                   the system.
//
//                   The book "Robot Programmer's Bonanza"  (ISBN 978-0-07-154797-0)
//                   published by The McGraw-Hill Companies, Inc. is a great
//                   resource for learning about the robot simulator and the
//                   language. Please visit www.RobotBASIC.com for more details
//                   and to obtain the latest updates, demos, additional book
//                   titles and other information.
//
//                   Write us at RobotBASIC@yahoo.com for information on
//                   seminars relating to the use of the language and simulator.
//                   A list of topics can be found on the web site.
//
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
//
// Main Program
//
//---------------------------------------------------------------------------

MainProgram:

    //---------------------------
    // Discover the devices
    //---------------------------
    n = usbm_finddevices()

    // Set dir of port A of dev 0 to out
    n = usbm_DirectionA(0, 255, 255)

    n = usbm_WriteA(0, 255)


End
